import { GraphQLSchema } from 'graphql';
import { HTTPHeaderValue } from '@pathfinder-ide/stores';
import { JSX as JSX_2 } from 'react/jsx-runtime';
import { SchemaStoreState } from '@pathfinder-ide/stores';
import { setTheme as setPathfinderTheme } from '@pathfinder-ide/stores';
import type { ThemeContractOverrides } from '@pathfinder-ide/style';
import { useThemeStore as usePathfinderThemeStore } from '@pathfinder-ide/stores';

export declare const Pathfinder: ({ mode, fetcherOptions, schemaPollingOptions, themeOptions, }: PathfinderProps) => JSX_2.Element;

declare type PathfinderProps = {
    mode?: "FULL" | "MINI";
    fetcherOptions?: {
        endpoint: string;
        headers?: Pick<HTTPHeaderValue, "key" | "value">[];
    };
    schemaPollingOptions?: Partial<Pick<SchemaStoreState["polling"], "enabled" | "interval">>;
    themeOptions?: {
        theme?: {
            overrides?: ThemeContractOverrides;
        };
    };
};

export declare const SchemaDocumentation: ({ schema }: SchemaDocumentationProps) => JSX_2.Element;

declare type SchemaDocumentationProps = {
    schema: GraphQLSchema;
};

export declare const SchemaView: ({ schema }: SchemaViewProps) => JSX_2.Element | null;

declare type SchemaViewProps = {
    schema: GraphQLSchema;
};

export { setPathfinderTheme }

export { usePathfinderThemeStore }

export { }
